/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package metier;

import java.util.Objects;

/**
 *
 * @author mohamed.boussemaha
 */
public class Enigme {

    private String question;
    private String reponse;

    public Enigme(String question, String reponse) {
        this.question = question;
        this.reponse = reponse;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public String getReponse() {
        return reponse;
    }

    public void setReponse(String reponse) {
        this.reponse = reponse;
    }

    @Override
    public int hashCode() {
        return Objects.hash(question, reponse);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        final Enigme other = (Enigme) obj;
        return Objects.equals(this.question, other.question) && Objects.equals(this.reponse, other.reponse);
    }

    @Override
    public String toString() {
        return "Enigme{" + "question='" + question + '\'' + ", reponse='" + reponse + '\'' + '}';
    }
}
